<h2 id="generate_report_header">{#global_generatereport_header#}</h2>
<p>{#global_generatereport_description#}</p>

<fieldset id="generation_folder_fieldset">
	<legend><img src="/gfx/icons/folder_add24.png" width="24" height="24" border="0" />{#global_generation_header_titleandfolder#}</legend>
		<div class="field one first">
			<label for="generation_title">{#global_generation_label_title#}</label>
			<input type="text" name="generation_title" id="generation_title" value="{$selection->get('generation_title')}" size="40" onchange="setSelection(this);" />
		</div>

		{if $selection->get('resolution')}
		<div class="field two">
			<label for="generation_resolution">{#global_generation_label_resolution#}</label>
			<select name="generation_resolution" id="generation_resolution" onchange="setSelection(this);">
				<option value="0" {if 0 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_5mins#}</option>
				<option value="1" {if 1 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_15mins#}</option>
				<option value="2" {if 2 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_1hour#}</option>
				<option value="3" {if 3 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_24hours#}</option>
				<option value="4" {if 4 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_1week#}</option>
				<option value="5" {if 5 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_1month#}</option>
				<option value="6" {if 6 == $selection->get('generation_resolution')}selected="selected"{/if}>{#global_generation_resolution_1year#}</option>
			</select>
		</div>
		{/if}

		<div class="field three last">
			<label for="generation_folder">{#global_generation_label_folder#}</label>
			<select name="generation_folder" id="generation_folder" onchange="setSelection(this);">
			{foreach from=$folders item=folder}
				<option value="{$folder->getName()}" {if $folder->getName() == $selection->get('generation_folder')}selected="selected"{/if}>{$folder->getName()}</option>
			{/foreach}
			</select>
		</div>
</fieldset>



<fieldset id="report_generation_type_fieldset">
	<legend>Report Generation</legend>

	<div id="report_generation_type_radiogroup">
		<div class="field one"><input onclick="showGenerationType('instant');setSelection(this);" type="radio" name="report_generation_type" id="report_generation_type_instant" value="instant" {if $selection->get('report_generation_type') == "" || $selection->get('report_generation_type') == "instant"}checked="checked"{/if} /><label for="report_generation_type_instant"><img src="/gfx/icons/instant_report24.png" width="24" height="24" border="0" />{#global_generate_header_instantreport#}</label></div>
		<div class="field two"><input onclick="showGenerationType('periodic');setSelection(this);" type="radio" name="report_generation_type" id="report_generation_type_periodic" value="periodic" {if $selection->get('report_generation_type') == "periodic"}checked="checked"{/if} /><label for="report_generation_type_periodic"><img src="/gfx/icons/periodic_report24.png" width="24" height="24" border="0" />{#global_generate_header_periodicreport#}</label></div>
	</div>

	<div id="generation_instant_div" style="display:{if $selection->get('report_generation_type') == "" || $selection->get('report_generation_type') == "instant"}block{else}none{/if};">
		<div class="field one first">
			<label for="generation_period">{#global_generation_label_period#}</label>
			<select id="generation_period" name="generation_period" onchange="getPeriod(this);">
				<option value="TY" {if $selection->get('generation_period') == "TY"}selected="selected"{/if}>{#global_generation_periodvalues_thisyear#}</option>
				<option value="TM" {if $selection->get('generation_period') == "TM"}selected="selected"{/if}>{#global_generation_periodvalues_thismonth#}</option>
				<option value="TW" {if $selection->get('generation_period') == "TW"}selected="selected"{/if}>{#global_generation_periodvalues_thisweek#}</option>
				<option value="D" {if $selection->get('generation_period') == "D"}selected="selected"{/if}>{#global_generation_periodvalues_last24hours#}</option>
				<option value="W" {if $selection->get('generation_period') == "W"}selected="selected"{/if}>{#global_generation_periodvalues_lastweek#}</option>
				<option value="W4" {if $selection->get('generation_period') == "W4"}selected="selected"{/if}>{#global_generation_periodvalues_last4weeks#}</option>
				<option value="M" {if $selection->get('generation_period') == "M"}selected="selected"{/if}>{#global_generation_periodvalues_lastmonth#}</option>
				<option value="M3" {if $selection->get('generation_period') == "M3"}selected="selected"{/if}>{#global_generation_periodvalues_last3months#}</option>
				<option value="M6" {if $selection->get('generation_period') == "M6"}selected="selected"{/if}>{#global_generation_periodvalues_last6months#}</option>
				<option value="Y" {if $selection->get('generation_period') == "Y"}selected="selected"{/if}>{#global_generation_periodvalues_lastyear#}</option>
			</select>
		</div>

		<div class="field two">
			<label for="generation_date_from">{#global_generation_label_from#}</label>
			<input type="text" name="generation_date_from" id="generation_date_from" value="{$selection->get('generation_date_from')}" size="19" maxlength="19" onchange="dateValidator(this);" />
		<input type="image" id="generation_date_from_btn" src="/gfx/icons/calendar16.png" border="0" height="16" width="16" />
		</div>

		<div class="field three">
			<label for="generation_date_to">{#global_generation_label_to#}</label>
			<input type="text" name="generation_date_to" id="generation_date_to" value="{$selection->get('generation_date_to')}" size="19" maxlength="19" onchange="dateValidator(this);" />
			<input type="image" id="generation_date_to_btn" src="/gfx/icons/calendar16.png" border="0" height="16" width="16" />
		</div>
		
		<div class="field four last">
			<label for="generation_timeout">{#global_generation_label_timeout#}</label>
			<select name="generation_timeout" id="generation_timeout" onchange="setSelection(this);">
				<option value="10" {if 10 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_10mins#}</option>
				<option value="30" {if 30 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_30mins#}</option>
				<option value="60" {if 60 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_60mins#}</option>
				<option value="120" {if 120 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_120mins#}</option>
				<option value="240" {if 240 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_240mins#}</option>
				<option value="600" {if 600 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_600mins#}</option>
			</select>
		</div>


		<div class="submit"><input type="button" name="generate_and_open" value="{#global_generation_label_generateanddisplay#}" onclick="generateReport();"/></div>
	</div>



	<div id="generation_periodic_div" style="display:{if $selection->get('report_generation_type') == "periodic"}block{else}none{/if};">

		<div class="field one first">
			<label for="generation_periodic">Frequency</label>
			<select id="generation_periodic" name="generation_periodic" onchange="setSelection(this);updateReportPeriod(this);">
				<option value="D" {isSelected name="generation_periodic" value="D"}>{#global_generation_periodicvalues_daily#}</option>
				<option value="W" {isSelected name="generation_periodic" value="W"}>{#global_generation_periodicvalues_weekly#}</option>
				<option value="M" {isSelected name="generation_periodic" value="M"}>{#global_generation_periodicvalues_monthly#}</option>
				<option value="Q" {isSelected name="generation_periodic" value="Q"}>{#global_generation_periodicvalues_quarterly#}</option>
				<option value="Y" {isSelected name="generation_periodic" value="Y"}>{#global_generation_periodicvalues_annually#}</option>
			</select>
		</div>

		<div class="field two">
			<label for="generation_periodic_value">{#global_generation_label_reportperiod#}</label>
			<input type="text" {oi_text name="generation_periodic_value"} size="10" maxlength="10" />
			<span id="report_period_timespan">
			{if ""  == $selection->get('generation_periodic')}{#global_generation_periodicvalues_days#}{/if}
			{if "D" == $selection->get('generation_periodic')}{#global_generation_periodicvalues_days#}{/if}
			{if "W" == $selection->get('generation_periodic')}{#global_generation_periodicvalues_weeks#}{/if}
			{if "M" == $selection->get('generation_periodic')}{#global_generation_periodicvalues_months#}{/if}
			{if "Q" == $selection->get('generation_periodic')}{#global_generation_periodicvalues_quarters#}{/if}
			{if "Y" == $selection->get('generation_periodic')}{#global_generation_periodicvalues_years#}{/if}
			</span>
		</div>

		<div class="field three last">
			<label for="generation_timeout">{#global_generation_label_timeout#}</label>
			<select name="generation_timeout" id="generation_timeout" onchange="setSelection(this);">
				<option value="10" {if 10 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_10mins#}</option>
				<option value="30" {if 30 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_30mins#}</option>
				<option value="60" {if 60 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_60mins#}</option>
				<option value="120" {if 120 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_120mins#}</option>
				<option value="240" {if 240 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_240mins#}</option>
				<option value="600" {if 600 == $selection->get('generation_timeout')}selected="selected"{/if}>{#global_generation_timeout_600mins#}</option>
			</select>
		</div>


		<div class="submit"><input type="button" name="create_periodic_job" value="{#global_generate_header_createperiodicjob#}" onclick="generateReport(true);"/></div>

	</div>


</fieldset>


<link rel="stylesheet" type="text/css" media="all" href="/js/jscalendar/calendar-win2k-cold-2.css" />
<script type="text/javascript" src="/js/jscalendar/calendar_stripped.js"></script>
<script type="text/javascript" src="/js/jscalendar/lang/calendar-en.js"></script>
<script type="text/javascript" src="/js/jscalendar/calendar-setup_stripped.js"></script>

{literal}
<script type="text/javascript">
<!--
function showGenerationType(type) {
	var instant_div  = document.getElementById("generation_instant_div");
	var periodic_div = document.getElementById("generation_periodic_div");
	if (type == "instant") {
		instant_div.style.display  = "block";
		periodic_div.style.display = "none";
	} else {
		instant_div.style.display  = "none";
		periodic_div.style.display = "block";
	}
}

function dateValidator(field) {
	var re_date = /^(\d\d\d\d)\-(0[1-9]|1[0-2])\-([12][0-9]|3[01]|0[1-9])\ ([01][0-9]|2[0-3])\:([0-5][0-9])\:([0-5][0-9])$/;
	if (!re_date.exec(field.value)) {
		alert({/literal}"{#global_generation_periodvalues_invaliddatetimepattern#}"{literal});
	} else {
		setSelection(field);
	}
}

function updateReportPeriod(frequency_select) {
	reportPeriod_span = document.getElementById("report_period_timespan");
	switch(frequency_select.selectedIndex) {
{/literal}
	case 0:	reportPeriod_span.innerHTML = "{#global_generation_periodicvalues_days#}"; break;
	case 1:	reportPeriod_span.innerHTML = "{#global_generation_periodicvalues_weeks#}"; break;
	case 2:	reportPeriod_span.innerHTML = "{#global_generation_periodicvalues_months#}"; break;
	case 3:	reportPeriod_span.innerHTML = "{#global_generation_periodicvalues_quarters#}"; break;
	case 4:	reportPeriod_span.innerHTML = "{#global_generation_periodicvalues_years#}"; break;
{literal}
	}

}

Calendar.setup({
	inputField     :    "generation_date_from",      // id of the input field
	ifFormat       :    "%Y-%m-%d %H:%M:%S",         // format of the input field
	showsTime      :    true,                        // will display a time selector
	button         :    "generation_date_from_btn",  // trigger for the calendar (button ID)
	singleClick    :    true,                        // double-click mode
	electric       :    false,
	cache          :    true,
	step           :    1                            // show all years in drop-down boxes (instead of every other year as default)
});

Calendar.setup({
	inputField     :    "generation_date_to",        // id of the input field
	ifFormat       :    "%Y-%m-%d %H:%M:%S",         // format of the input field
	showsTime      :    true,                        // will display a time selector
	button         :    "generation_date_to_btn",    // trigger for the calendar (button ID)
	singleClick    :    true,                        // double-click mode
	electric       :    false,
	cache          :    true,
	step           :    1                            // show all years in drop-down boxes (instead of every other year as default)
});

//-->
</script>
{/literal}
