{include file="pages/header.tpl"}
{include file="components/access_control/submenu.tpl"}

<div id="content">
	<div id="spacer">


	{if $group->getId() == ""}
		<h2 id="edit_newgroup_header">{#accesscontrol_groups_newgroup_header#}</h2>
		<p>{#accesscontrol_groups_newgroup_description#}</p>
	{else}
		<h2 id="edit_group_header">{#accesscontrol_groups_editgroup_header#}“{$group->getName()}”</h2>
		<p>{#accesscontrol_groups_editgroup_description#}</p>
	{/if}
	
	
		<form action="post_edit_group.php" method="POST">
		
			<input type="hidden" name="id" value="{$group->getId()}" />
	
			<fieldset id="edit_group_general">
				<legend>{#accesscontrol_groups_edit_header_general#}</legend>
	
				<div class="field">
					<label for="name">{#accesscontrol_groups_edit_label_name#}</label>
					<input type="text" id="name" name="name" value="{$group->getName()}" size="30" maxlength="255" />
				</div>
												
				<div class="field">
					<label for="description">{#accesscontrol_groups_edit_label_description#}</label>
					<textarea name="description" id="description">{$group->getDescription()}</textarea>
				</div>
								
			</fieldset>

	{if $group->getId() != ""}
	
			<fieldset id="edit_group_content_access_datatypes">
				<legend><img src="/gfx/icons/cubes24.png" border="0" height="24" width="24" />{#accesscontrol_groups_edit_header_datatypesaccess#}</legend>
				<label>{#accesscontrol_groups_edit_datatypesaccess_clickforlowlevelaccess#}</label>
				<div class="container">
				{foreach from=$datatypes item=datatype}
						<div class="item">
							<input type="checkbox" name="datatype[]" value="{$datatype->getId()}" {if $group->isMemberOfDataType($datatype->getId())}checked="checked"{/if} /><a href="javascript:getLowLevelInformation({$datatype->getId()}, {$group->getId()})">{$datatype->getValue()}</a>
						</div>
				{/foreach}
				</div>
			</fieldset>

			<div id="lowlevelaccess">
				{* include file="components/access_control/low_level_access.tpl" *}
			</div>

			<div class="clearer"></div>

			<fieldset id="edit_group_folder_access">
				<legend><img src="/gfx/icons/folder_lock24.png" border="0" height="24" width="24" />{#accesscontrol_groups_edit_header_foldersaccess#}</legend>
				<div class="container">
				{foreach from=$folders item=folder}
					<div class="item"><input type="checkbox" id="access{$folder->getName()}" name="folders[]" value="{$folder->getName()}" {if $group->isMemberOfFolder($folder->getName())}checked="checked"{/if} /><label for="access{$folder->getName()}">{$folder->getName()}</label><div>
				{/foreach}
				</div>
			</fieldset>

			
			
			
			<fieldset id="edit_group_subgroups">
				<legend><img src="/gfx/icons/users_preferences24.png" border="0" />{#accesscontrol_groups_edit_header_memberofothergroups#}</legend>
				<div class="container">						
					{foreach from=$groups item=groupItem}
						{if $groupItem->getId() != $group->getId()}
							<div class="item"><input type="checkbox" id="subgroup_{$groupItem->getId()}" name="group[]" value="{$groupItem->getId()}" {if $group->isMemberOf($groupItem)}checked="checked"{/if} /><label for="subgroup_{$groupItem->getId()}">{$groupItem->getName()}</label></div>
						{/if}
					{/foreach}					
				</div>

			</fieldset>
			
		{/if}
			
			<div class="clearer"></div>
			
			<div id="users_save">
				<input type="submit" value={#global_form_save#} />
				<input type="button" value={#global_form_cancel#} onclick="location.href='groups.php'" />
			</div>
			
			
			
		</form>
   
		
		{literal}
		<script type="text/javascript">
		<!--
		
		function getLowLevelInformation(id, groupId) {
			sendData('access_control/get_low_level_access.php', 'returnLowLevelInformation', 'id', id, 'groupId', groupId);
		}
		
		function returnLowLevelInformation(data) {
			gebi("lowlevelaccess").innerHTML = data;
		}
		
		function getClassificationValueLimit(id, groupId) {
			sendData('access_control/get_classification_value_limit.php', 'returnClassificationValueLimit', 'id', id, 'groupId', groupId);
		}
		
		function returnClassificationValueLimit(data) {
			gebi("classificationlimit").innerHTML = data;
		}
		
		function setAnonymous(groupId, datatypeId, classificationId, checked) {
			sendData('access_control/post_low_level_access.php', '', "groupId", groupId, "datatypeId", datatypeId, "classificationId", classificationId, "checked", (checked ? 1 : 0));
		}
		
		// -->
		</script>
		{/literal}

	</div>

</div>

{include file="pages/footer.tpl"}
