{include file="pages/header.tpl"}
{include file="components/access_control/submenu.tpl"}

<div id="content">
	<div id="spacer">


	{if $user->getId() == ""}
		<h2 id="edit_newuser_header">{#accesscontrol_groups_newuser_header#}</h2>
		<p>{#accesscontrol_groups_newuser_description#}</p>
	{else}
		<h2 id="edit_user_header">{#accesscontrol_groups_edituser_header#}“{$user->getUsername()}”</h2>
	{/if}


		<form action="post_edit_user.php" method="POST" autocomplete="off">

			<input type="hidden" name="id" value="{$user->getId()}" />

			<fieldset id="users_general">
				<legend>{#accesscontrol_users_edit_header_general#}</legend>
				
				<div class="field">
					<label class="users_general_label" for="username">{#accesscontrol_users_edit_login_name#}</label>
					<input class="users_general_input" type="text" id="edit_username" name="edit_username" value="{$user->getUsername()}" size="20" maxlength="255" />
				</div>
	
				<div class="field">
					<label class="users_general_label" for="name">{#accesscontrol_users_edit_label_name#}</label>
					<input class="users_general_input" type="text" id="name" name="name" value="{$user->getName()}" size="30" maxlength="255" />
				</div>
				
				<div class="field">
					<label class="users_general_label" for="password">{#accesscontrol_users_edit_label_password#}</label>
					<input class="users_general_input" type="password" id="edit_password" name="edit_password" value="" size="10" maxlength="255" />
				</div>
				
				<div class="field">
					<label class="users_general_label" for="division">{#accesscontrol_users_edit_label_division#}</label>
					<input class="users_general_input" type="text" id="division" name="division" value="{$user->getDivision()}" size="10" maxlength="255" />
				</div>
				
				<div class="field">
					<label class="users_general_label">{#accesscontrol_users_edit_label_admin#}</label>
					<input type="radio" id="admin1" name="admin" value="1"{if $user->isAdmin()} checked="checked"{/if} /><label for="admin1">{#accesscontrol_users_edit_label_admin_yes#}</label>
					<input type="radio" id="admin0" name="admin" value="0"{if !$user->isAdmin()} checked="checked"{/if} /><label for="admin0">{#accesscontrol_users_edit_label_admin_no#}</label>
				</div>
				
				<div class="field">
					<label class="users_general_label">{#accesscontrol_users_edit_label_agreement#}</label>
					<input type="radio" id="agreement1" name="agreement" value="1"{if $user->isAgreement()} checked="checked"{/if} /><label for="agreement1">{#accesscontrol_users_edit_label_agreement_yes#}</label>
					<input type="radio" id="agreement0" name="agreement" value="0"{if !$user->isAgreement()} checked="checked"{/if} /><label for="agreement0">{#accesscontrol_users_edit_label_agreement_no#}</label>
				</div>
				
			</fieldset>

			
			<fieldset id="users_roles">
				<legend><img src="/gfx/icons/user_preferences24.png" border="0" />{#accesscontrol_users_edit_header_roles#}</legend>
				<div class="container">
					<div class="item">
						<input type="checkbox" id="templateuser"  name="templateuser" value="1" {if $user->isTemplateUser()}checked="checked"{/if} /><label for="templateuser">{#accesscontrol_users_edit_label_templatereporting#}</label>
					</div>
					<div class="item">
						<input type="checkbox" id="viewuser" name="viewuser" value="1" {if $user->isViewUser()}checked="checked"{/if} /><label for="viewuser">{#accesscontrol_users_edit_label_reportsviewing#}</label>
					</div>
					<div class="item">
						<input type="checkbox" id="reportgeneratoruser" name="reportgeneratoruser" value="1" {if $user->isReportGeneratorUser()}checked="checked"{/if} /><label for="reportgeneratoruser">{#accesscontrol_users_edit_label_completereporting#}</label>
					</div>
				</div>
			</fieldset>



			<fieldset id="users_members">
				<legend><img src="/gfx/icons/users_preferences24.png" border="0" />{#accesscontrol_users_edit_header_memberofgroups#}</legend>

				<div class="container">
					{counter start=0 print=false assign=int}
					{foreach from=$groups item=group}
						{counter print=false}
						<div class="item"><input type="checkbox" name="group[]" id="group_{$group->getId()}" value="{$group->getId()}" {if $user->isMemberOf($group)}checked="checked"{/if} /><label for="group_{$group->getId()}">{$group->getName()}</label></div>
					{/foreach}
				</div>

			</fieldset>


			<div id="users_save">
				<input type="submit" value={#global_form_save#} />
				<input type="button" value={#global_form_cancel#} onclick="location.href='index.php'" />
			</div>

		</form>
   
		
		{literal}
		<script type="text/javascript">
		<!--
		// -->
		</script>
		{/literal}

	</div>

</div>

{include file="pages/footer.tpl"}
