{include file="pages/header.tpl"}

<div id="content">
	<div id="spacer">

		<form action="post_action.php" method="POST">
		
		<input type="hidden" name="currentFolder" value="{$currentFolder}" />

		<div id="generated_reports_controls1">
			<label for="generated_reports_action1">With Selected:</label>
			<select name="generated_reports_action1" id="generated_reports_action1" onchange="changeAction(this, 1)">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="movetofolder">Move to folder</option>
			</select>
			
			<select name="movetofolder1" id="movetofolder1">
				{foreach from=$folders item=folder}
					<option value="{$folder->getName()}">{$folder->getName()}</option>
				{/foreach}
			</select>
			
			<input type="submit" value="{#global_form_submit#}" />
		</div>
		
		
		<table class="list">
			<caption><img src="/gfx/icons/folder_document.png" border="0" height="24" width="24" />{#generatedreports_header_generatedreports#}</caption>
			<thead>
				<tr>
					<th class="date"><a href="index.php?folder={$selectedFolder}&amp;sort=date&amp;asc={if $sortAsc}0{else}1{/if}">{#generatedreports_listheader_generationdate#}</a></th>
					<th class="title"><a href="index.php?folder={$selectedFolder}&amp;sort=title&amp;asc={if $sortAsc}0{else}1{/if}">{#generatedreports_listheader_title#}</a></th>
					<th class="folder">
						{*<a href="index.php?folder={$selectedFolder}&amp;sort=folder&amp;asc={if $sortAsc}0{else}1{/if}">{#generatedreports_listheader_folder#}</a>*}
						<select name="viewfolder" id="viewfolder" onchange="top.location='index.php?folder='+this.options[this.selectedIndex].value">
							<option value="">{#generatedreports_selectfromfolder_value#}</option>
							{foreach from=$folders item=folder}
								<option value="{$folder->getName()}"{if $selectedFolder == $folder->getName()} selected="selected"{/if}>{$folder->getName()}</option>
							{/foreach}
						</select>
					</th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('generated_reports_list', this);" /></th>
				</tr>
			</thead>
			
			<tbody id="generated_reports_list">
			
		{counter start=0 print=false assign=int}
		{foreach from=$reports item=report}	
			{counter print=false}
			{if $report->getType() == "R"}
				{foreach from=$report->getInstances() item=periodicReport}
					<tr class="periodic {cycle values="even,odd"}">
						<td class="date">{$periodicReport->getDate()} {$periodicReport->getTime()}</td>
							<td class="title">								
								<img src="/gfx/icons/active16.png" border="0" title="{#generatedreports_list_periodic#}" />
								<a id="title_{$periodicReport->getTemplateId()}" href="/report.php?folder={$periodicReport->getFolder()|escape:"url"}&amp;id={$periodicReport->getTemplateId()}&amp;periodic={$report->getId()}" target="_blank">{if !$periodicReport->isSeen()}<strong>{/if}{$periodicReport->getTitle()}{if !$periodicReport->isSeen()}</strong>{/if}</a>
							</td>
						<td class="folder">{$periodicReport->getFolder()}</td>
						<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="{$periodicReport->getTemplateId()}" /></td>
					</tr>
				{/foreach}
			{else}
				<tr class="{cycle values="even,odd"}">
					<td class="date">{$report->getDate()} {$report->getTime()}</td>
						<td class="title">
							<img src="/gfx/icons/pencil16.png" border="0" onclick="showRename('{$report->getTemplateId()}', true)" class="rename_icon" />
							<span class="rename" id="rename_{$report->getTemplateId()}" style="display: none;">
								<input type="text" name="rename_report[{$report->getTemplateId()}]" value="{$report->getTitle()}" class="rename_name_input" />
	              <input type="submit" name="rename_submit[{$report->getTemplateId()}]" value="{#global_form_rename#}" /> <input type="button" value="{#global_form_cancel#}" onclick="showRename('{$report->getTemplateId()}', false)" />
							</span>
							<a id="title_{$report->getTemplateId()}" href="/report.php?folder={$report->getFolder()|escape:"url"}&amp;id={$report->getTemplateId()}" target="_blank">{if !$report->isSeen()}<strong>{/if}{$report->getTitle()}{if !$report->isSeen()}</strong>{/if}</a>
						</td>
					<td class="folder">{$report->getFolder()}</td>
					<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="{$report->getTemplateId()}" /></td>
				</tr>
			{/if}
					
		{/foreach}
				
			</tbody>
		
		</table>
		
		<div id="generated_reports_controls2">
			<label for="generated_reports_action2">With Selected:</label>
			<select name="generated_reports_action2" id="generated_reports_action2" onchange="changeAction(this, 2)">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="movetofolder">Move to folder</option>
			</select>
			<select name="movetofolder2" id="movetofolder2">
				{foreach from=$folders item=folder}
					<option value="{$folder->getName()}">{$folder->getName()}</option>
				{/foreach}
			</select>
			<input type="submit" value="{#global_form_submit#}" />
		</div>
		<div class="clearer"></div>
		
		</form>
	</div>
</div>

	{literal}
	<script type="text/javascript">
	<!--


function changeAction(obj, id) {

	var type1 = document.getElementById("movetofolder" + id);
	if (obj.selectedIndex == 2) {
		type1.style.display = "inline";
	} else {
		type1.style.display = "none";
	}
}


function showRename(id, show) {
	var form = document.getElementById("rename_" + id );
	var title = document.getElementById("title_" + id );
	if (show) {
    	title.style.display = "none";
			form.style.display = "inline";
	}else{
    	title.style.display = "inline";
			form.style.display = "none";
	}
}

	//-->
	</script>
	{/literal}



{include file="pages/footer.tpl"}
