﻿{include file="pages/header.tpl"}

<div id="content">
	<div id="spacer">
		<form action="post_action.php" method="POST">
		
		<div id="periodic_jobs_controls1">
			<label for="periodic_jobs_action1">With Selected:</label>
			<select name="periodic_jobs_action1" id="periodic_jobs_action1">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="activate">Activate</option>
				<option value="deactivate">Deactivate</option>
			</select>
			<input type="submit" value="{#global_form_submit#}" name="periodic_jobs_submit1" />
		</div>

		<table class="list">
		<caption><img src="/gfx/icons/periodic_jobs24.png" border="0" height="24" width="24" />{#menu_periodicjobs#}</caption>
			<thead>
				<tr>
					<th class="status">{#periodicjobs_listheader_status#}</th>
					<th class="period">{#periodicjobs_listheader_period#}</th>
					<th class="type">{#periodicjobs_listheader_type#}</th>
					<th class="title">{#periodicjobs_listheader_title#}</th>
					<th class="folder">{#periodicjobs_listheader_folder#}</th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('periodic_jobs_list', this);" /></th>
				</tr>
			</thead>
			
			<tbody id="periodic_jobs_list">
				{counter start=0 print=false assign=int}
				{foreach from=$reports item=report}	
					{counter print=false}
					{if $report->getType() == "R"}
						<tr {if $int is even}class="even"{else}class="odd"{/if}>
							<td class="status"><img src="/gfx/icons/{if $report->isActive()}active{else}deactive{/if}16.png" title="{if $report->isActive()}{#periodicjobs_listheader_status_active#}{else}{#periodicjobs_listheader_status_inactive#}{/if}" border="0" /></td>
							<td class="period">{$report->getFreq()}</td>
							<td class="type"><img src="/gfx/icons/{$report->getPres()}16.png" width="16" height="16" title="{$report->getPres()}" /></td>
							<td class="title">{$report->getTitle()}</td>
							<td class="folder">{$report->getFolder()}</td>
							<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="{$report->getId()}" /></td>
						</tr>
					{/if}			
				{/foreach}
			</tbody>
		</table>

		<div id="periodic_jobs_controls2">
			<label for="periodic_jobs_action2">With Selected:</label>
			<select name="periodic_jobs_action2" id="periodic_jobs_action2">
				<option value="">Select Action</option>
				<option value="delete">Delete</option>
				<option value="activate">Activate</option>
				<option value="deactivate">Deactivate</option>
			</select>
			<input type="submit" value="{#global_form_submit#}" name="periodic_jobs_submit2" />
		</div>

		<div class="clearer"></div>
		</form>
	</div>
</div>

{include file="pages/footer.tpl"}
