{*
// $Id: classification_list.tpl 168 2007-02-12 16:16:03Z ahovda $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all classifications in a selection list.
//
///////////////////////////////////////////////////////////////////////////////*}

<label>{#completeselection_selection_header_classifications#}</label>
<div id="classificationsList" name="classificationsList">
{foreach from=$classifications item=classification}
	{if $classification->getUID() != "T"}
		<div id="classificationItem{$classification->getUID()}" {if $classification->hasValueSelected()}class="filtered"{/if}>	
			<input type="checkbox" name="classification[]" value="{$classification->getUID()}" onkeyup="sendClassificationSelection();" onclick="sendClassificationSelection();" {if $classification->isSelected()}checked="checked"{/if} /><a href="javascript: showClassificationValues('{$classification->getUID()}', 'classificationItem{$classification->getUID()}')">{$classification->getValue()}</a>
		</div>
	{else}
		<div>
			<input type="checkbox" name="classification[]" value="{$classification->getUID()}" onkeyup="sendClassificationSelection();" onclick="sendClassificationSelection();" {if $classification->isSelected()}checked="checked"{/if} />{$classification->getValue()}
		</div>
	{/if}
{/foreach}
</div>
