{*
//
// $Id: classification_value_list.tpl 231 2007-04-10 09:46:55Z glenn $
//
// (C) Copyright 1997-2006 by Open iT Inc, All rights reserved.
//
// This software may be used or copied only with the written permission of
// Open iT Inc or in accordance with the terms and conditions stipulated
// in the agreement under which this software has been supplied.
//
// This file is part of Open iT Resources.
//
// Created by: Glenn O Larsen <glenn.larsen@openit.com>
//
//
// ===========================================================================
//
// Description of file:
//
// This template file should list all classification values in a selection list.
//
///////////////////////////////////////////////////////////////////////////////*}

<label for="classificationvaluesList">{#global_valuesfrom#} {if $classificationName} {$classificationName}{/if}</label>
<div class="select_overflow_wrapper">
	<select size="{if $classificationvalues|@count < 10}10{else}{$classificationvalues|@count}{/if}" {if $classificationvalues == 0} style="width:300px;"{/if} id="classificationvaluesList" size="10" name="classificationvaluesList" multiple="multiple">
	{foreach from=$classificationvalues item=classificationvalue}
		<option value="{$classificationvalue->classification->getUID()}-{$classificationvalue->getUID()}" {if $classificationvalue->isSelected()}selected="selected"{/if}>{$classificationvalue->getValue()}</option>
	{/foreach}
	</select>
</div>
<div class="ctrl">
	<a href="javascript: selectAll('classificationvaluesList'); sendClassificationValuesSelection();">{#global_selectall#}</a>&nbsp;
	<a href="javascript: unSelectAll('classificationvaluesList'); sendClassificationValuesSelection();">{#global_deselectall#}</a>
{if $classification && $classification->isAnonymous() && $enablemasking}
	<span class="item">
		<input type="checkbox" name="anonymous_{$classificationvalue->classification->getUID()}" {if $selection->get("anonymous_", $classificationvalue->classification->getUID()) == 1}checked="checked"{/if} value="1" onchange="setSelection(this);" id="check_use_anonymous_complete_selection" /><label for="check_use_anonymous_complete_selection">{#global_input_anonymous#}</label><span class="tip" onmouseover="showHideDescription('anonymous_description', true);" onmouseout="showHideDescription('anonymous_description', false);">?<span class="tooltip_content" id="anonymous_description">{#global_anonymous_description#}</span></span>
 	</span>
{/if}
</div>
