<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title>{$HTML_TITLE}{#global_header_openitreporting#}</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="/css/general.css" />
	<script type="text/javascript" src="/js/ajaxmanager.js"></script>
	<script type="text/javascript" src="/js/draganddrop.js"></script>
	<script type="text/javascript" src="/js/general.js"></script>
</head>

<body>

<div id="error_background"></div>
<div id="error_box"></div>
<div id="tooltip"></div>

<div id="wrapper">
	<div id="header">
		<div id="loggedinuser">
			<label>Logged in as: {$activeUser->getName()}</label>
			<input type="button" value="{#global_logout#}" onclick="top.location='/logout.php'" />
	 		{if $activeUser->isAdmin()}
				<input type="button" value="{#global_refresh_database#}" onclick="if (confirm('{#global_refresh_database_info#}')) sendData('reload_config.php', 'debug');" />
			{/if}
		</div>
		<div id="loading"></div>
		<h1 id="logo">{#global_openit_logo#}</h1>
 		<ul id="level1">
 		{if $activeUser->isAdmin() || $activeUser->isTemplateUser()}
			<li {href_active url="/template_selection/*"}><a href="/template_selection/" {href_active url="/template_selection/*"}>{#menu_templateselection#}</a></li>
		{/if}
		{if $activeUser->isAdmin() || $activeUser->isReportGeneratorUser()}
			<li {href_active url="/complete_selection/*"}><a href="/complete_selection/" {href_active url="/complete_selection/*"}>{#menu_completeselection#}</a></li>
		{/if}
		{if $activeUser->isAdmin() || $activeUser->isTemplateUser() || $activeUser->isReportGeneratorUser()}
			<li {href_active url="/periodic_jobs/*"}><a href="/periodic_jobs/" {href_active url="/periodic_jobs/*"}>{#menu_periodicjobs#}</a></li>
		{/if}
		{if $activeUser->isAdmin() || $activeUser->isViewUser() || $activeUser->isTemplateUser() || $activeUser->isReportGeneratorUser()}
			<li {href_active url="/generated_reports/*"}><a href="/generated_reports/" {href_active url="/generated_reports/*"}>{#menu_generatedreports#}</a></li>
		{/if}
		{if $activeUser->isAdmin()}
			<li {href_active url="/access_control/*|/admin/*"}><a href="/access_control/" {href_active url="/access_control/*|/admin/*"}>{#menu_administration#}</a></li>
		{/if}
		</ul>
	</div>
